Package com.trilead.ssh2.packets

# Class PacketOpenDirectTCPIPChannel

java.lang.Object
com.trilead.ssh2.packets.PacketOpenDirectTCPIPChannel

public class PacketOpenDirectTCPIPChannel extends Object
PacketOpenDirectTCPIPChannel.

## Constructor Summary

Constructors
Constructor
Description
`PacketOpenDirectTCPIPChannel(int channelID, int initialWindowSize, int maxPacketSize, String host_to_connect, int port_to_connect, String originator_IP_address, int originator_port)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PacketOpenDirectTCPIPChannel

public PacketOpenDirectTCPIPChannel(int channelID, int initialWindowSize, int maxPacketSize, String host_to_connect, int port_to_connect, String originator_IP_address, int originator_port)

## Method Details

### getPayload

public byte[] getPayload()